# azure.mgmt.eventhub.v2017_04_01.operations module

class `azure.mgmt.eventhub.v2017_04_01.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2017-04-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all of the available Event Hub REST API operations.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Operation
    Return type: | OperationPaged[Operation]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2017_04_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2017_04_01/models/__init__.py'>

class `azure.mgmt.eventhub.v2017_04_01.operations.``NamespacesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  NamespacesOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2017-04-01”.

  `check_name_availability`(name, custom_headers=None, raw=False, **operation_config)

    Check the give Namespace name availability.

    Parameters:

    - name (str) – Name to check the namespace name availability
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameAvailabilityResult or ClientRawResponse if raw=true
    Return type: | CheckNameAvailabilityResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, polling=True, **operation_config)

    Creates or updates a namespace. Once created, this namespace’s resource manifest is immutable. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - parameters (EHNamespace) – Parameters for creating a namespace resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns EHNamespace or ClientRawResponse<EHNamespace> if raw==True
    Return type: | AzureOperationPoller[EHNamespace] or AzureOperationPoller[ClientRawResponse[EHNamespace]]
    Raises: | `ErrorResponseException`

  `create_or_update_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, rights, custom_headers=None, raw=False, **operation_config)

    Creates or updates an AuthorizationRule for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - rights (list[str or AccessRights]) – The rights associated with the rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update_network_rule_set`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, **operation_config)

    Create or update NetworkRuleSet for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - parameters (NetworkRuleSet) – The Namespace IpFilterRule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetworkRuleSet or ClientRawResponse if raw=true
    Return type: | NetworkRuleSet or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, namespace_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Deletes an existing namespace. This operation also removes all associated resources under the namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `ErrorResponseException`

  `delete_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes an AuthorizationRule for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets the description of the specified namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | EHNamespace or ClientRawResponse if raw=true
    Return type: | EHNamespace or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_authorization_rule`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets an AuthorizationRule for a Namespace by rule name.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_messaging_plan`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets messaging plan for specified namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | MessagingPlan or ClientRawResponse if raw=true
    Return type: | MessagingPlan or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_network_rule_set`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets NetworkRuleSet for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | NetworkRuleSet or ClientRawResponse if raw=true
    Return type: | NetworkRuleSet or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(custom_headers=None, raw=False, **operation_config)

    Lists all the available Namespaces within a subscription, irrespective of the resource groups.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of EHNamespace
    Return type: | EHNamespacePaged[EHNamespace]
    Raises: | `ErrorResponseException`

  `list_authorization_rules`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of authorization rules for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AuthorizationRule
    Return type: | AuthorizationRulePaged[AuthorizationRule]
    Raises: | `ErrorResponseException`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists the available Namespaces within a resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of EHNamespace
    Return type: | EHNamespacePaged[EHNamespace]
    Raises: | `ErrorResponseException`

  `list_keys`(resource_group_name, namespace_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets the primary and secondary connection strings for the Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `regenerate_keys`(resource_group_name, namespace_name, authorization_rule_name, key_type, key=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the primary or secondary connection strings for the specified Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - authorization_rule_name (str) – The authorization rule name.
    - key_type (str or KeyType) – The access key to regenerate. Possible values include: ‘PrimaryKey’, ‘SecondaryKey’
    - key (str) – Optional, if the key value provided, is set for KeyType or autogenerated Key value set for keyType
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `update`(resource_group_name, namespace_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates or updates a namespace. Once created, this namespace’s resource manifest is immutable. This operation is idempotent.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - parameters (EHNamespace) – Parameters for updating a namespace resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | EHNamespace or ClientRawResponse if raw=true
    Return type: | EHNamespace or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2017_04_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2017_04_01/models/__init__.py'>

class `azure.mgmt.eventhub.v2017_04_01.operations.``DisasterRecoveryConfigsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DisasterRecoveryConfigsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2017-04-01”.

  `break_pairing`(resource_group_name, namespace_name, alias, custom_headers=None, raw=False, **operation_config)

    This operation disables the Disaster Recovery and stops replicating changes from primary to secondary namespaces.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - alias (str) – The Disaster Recovery configuration name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `check_name_availability`(resource_group_name, namespace_name, name, custom_headers=None, raw=False, **operation_config)

    Check the give Namespace name availability.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - name (str) – Name to check the namespace name availability
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | CheckNameAvailabilityResult or ClientRawResponse if raw=true
    Return type: | CheckNameAvailabilityResult or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update`(resource_group_name, namespace_name, alias, partner_namespace=None, alternate_name=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates a new Alias(Disaster Recovery configuration).

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - alias (str) – The Disaster Recovery configuration name
    - partner_namespace (str) – ARM Id of the Primary/Secondary eventhub namespace name, which is part of GEO DR pairing
    - alternate_name (str) – Alternate name specified when alias and namespace names are same.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ArmDisasterRecovery or ClientRawResponse if raw=true
    Return type: | ArmDisasterRecovery or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, namespace_name, alias, custom_headers=None, raw=False, **operation_config)

    Deletes an Alias(Disaster Recovery configuration).

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - alias (str) – The Disaster Recovery configuration name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `fail_over`(resource_group_name, namespace_name, alias, custom_headers=None, raw=False, **operation_config)

    Invokes GEO DR failover and reconfigure the alias to point to the secondary namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - alias (str) – The Disaster Recovery configuration name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, namespace_name, alias, custom_headers=None, raw=False, **operation_config)

    Retrieves Alias(Disaster Recovery configuration) for primary or secondary namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - alias (str) – The Disaster Recovery configuration name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ArmDisasterRecovery or ClientRawResponse if raw=true
    Return type: | ArmDisasterRecovery or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_authorization_rule`(resource_group_name, namespace_name, alias, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets an AuthorizationRule for a Namespace by rule name.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - alias (str) – The Disaster Recovery configuration name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list`(resource_group_name, namespace_name, custom_headers=None, raw=False, **operation_config)

    Gets all Alias(Disaster Recovery configurations).

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ArmDisasterRecovery
    Return type: | ArmDisasterRecoveryPaged[ArmDisasterRecovery]
    Raises: | `ErrorResponseException`

  `list_authorization_rules`(resource_group_name, namespace_name, alias, custom_headers=None, raw=False, **operation_config)

    Gets a list of authorization rules for a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - alias (str) – The Disaster Recovery configuration name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AuthorizationRule
    Return type: | AuthorizationRulePaged[AuthorizationRule]
    Raises: | `ErrorResponseException`

  `list_keys`(resource_group_name, namespace_name, alias, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets the primary and secondary connection strings for the Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - alias (str) – The Disaster Recovery configuration name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2017_04_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2017_04_01/models/__init__.py'>

class `azure.mgmt.eventhub.v2017_04_01.operations.``EventHubsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  EventHubsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2017-04-01”.

  `create_or_update`(resource_group_name, namespace_name, event_hub_name, parameters, custom_headers=None, raw=False, **operation_config)

    Creates or updates a new Event Hub as a nested resource within a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - parameters (Eventhub) – Parameters supplied to create an Event Hub resource.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Eventhub or ClientRawResponse if raw=true
    Return type: | Eventhub or ClientRawResponse
    Raises: | `ErrorResponseException`

  `create_or_update_authorization_rule`(resource_group_name, namespace_name, event_hub_name, authorization_rule_name, rights, custom_headers=None, raw=False, **operation_config)

    Creates or updates an AuthorizationRule for the specified Event Hub.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - authorization_rule_name (str) – The authorization rule name.
    - rights (list[str or AccessRights]) – The rights associated with the rule.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, namespace_name, event_hub_name, custom_headers=None, raw=False, **operation_config)

    Deletes an Event Hub from the specified Namespace and resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete_authorization_rule`(resource_group_name, namespace_name, event_hub_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Deletes an Event Hub AuthorizationRule.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, namespace_name, event_hub_name, custom_headers=None, raw=False, **operation_config)

    Gets an Event Hubs description for the specified Event Hub.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Eventhub or ClientRawResponse if raw=true
    Return type: | Eventhub or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get_authorization_rule`(resource_group_name, namespace_name, event_hub_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets an AuthorizationRule for an Event Hub by rule name.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AuthorizationRule or ClientRawResponse if raw=true
    Return type: | AuthorizationRule or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_authorization_rules`(resource_group_name, namespace_name, event_hub_name, custom_headers=None, raw=False, **operation_config)

    Gets the authorization rules for an Event Hub.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of AuthorizationRule
    Return type: | AuthorizationRulePaged[AuthorizationRule]
    Raises: | `ErrorResponseException`

  `list_by_namespace`(resource_group_name, namespace_name, skip=None, top=None, custom_headers=None, raw=False, **operation_config)

    Gets all the Event Hubs in a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - skip (int) – Skip is only used if a previous operation returned a partial result. If a previous response contains a nextLink element, the value of the nextLink element will include a skip parameter that specifies a starting point to use for subsequent calls.
    - top (int) – May be used to limit the number of results to the most recent N usageDetails.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of Eventhub
    Return type: | EventhubPaged[Eventhub]
    Raises: | `ErrorResponseException`

  `list_keys`(resource_group_name, namespace_name, event_hub_name, authorization_rule_name, custom_headers=None, raw=False, **operation_config)

    Gets the ACS and SAS connection strings for the Event Hub.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - authorization_rule_name (str) – The authorization rule name.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `regenerate_keys`(resource_group_name, namespace_name, event_hub_name, authorization_rule_name, key_type, key=None, custom_headers=None, raw=False, **operation_config)

    Regenerates the ACS and SAS connection strings for the Event Hub.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - authorization_rule_name (str) – The authorization rule name.
    - key_type (str or KeyType) – The access key to regenerate. Possible values include: ‘PrimaryKey’, ‘SecondaryKey’
    - key (str) – Optional, if the key value provided, is set for KeyType or autogenerated Key value set for keyType
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | AccessKeys or ClientRawResponse if raw=true
    Return type: | AccessKeys or ClientRawResponse
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2017_04_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2017_04_01/models/__init__.py'>

class `azure.mgmt.eventhub.v2017_04_01.operations.``ConsumerGroupsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ConsumerGroupsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2017-04-01”.

  `create_or_update`(resource_group_name, namespace_name, event_hub_name, consumer_group_name, user_metadata=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates an Event Hubs consumer group as a nested resource within a Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - consumer_group_name (str) – The consumer group name
    - user_metadata (str) – User Metadata is a placeholder to store user-defined string data with maximum length 1024. e.g. it can be used to store descriptive data, such as list of teams and their contact information also user-defined configuration settings can be stored.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ConsumerGroup or ClientRawResponse if raw=true
    Return type: | ConsumerGroup or ClientRawResponse
    Raises: | `ErrorResponseException`

  `delete`(resource_group_name, namespace_name, event_hub_name, consumer_group_name, custom_headers=None, raw=False, **operation_config)

    Deletes a consumer group from the specified Event Hub and resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - consumer_group_name (str) – The consumer group name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `ErrorResponseException`

  `get`(resource_group_name, namespace_name, event_hub_name, consumer_group_name, custom_headers=None, raw=False, **operation_config)

    Gets a description for the specified consumer group.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - consumer_group_name (str) – The consumer group name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ConsumerGroup or ClientRawResponse if raw=true
    Return type: | ConsumerGroup or ClientRawResponse
    Raises: | `ErrorResponseException`

  `list_by_event_hub`(resource_group_name, namespace_name, event_hub_name, skip=None, top=None, custom_headers=None, raw=False, **operation_config)

    Gets all the consumer groups in a Namespace. An empty feed is returned if no consumer group exists in the Namespace.

    Parameters:

    - resource_group_name (str) – Name of the resource group within the azure subscription.
    - namespace_name (str) – The Namespace name
    - event_hub_name (str) – The Event Hub name
    - skip (int) – Skip is only used if a previous operation returned a partial result. If a previous response contains a nextLink element, the value of the nextLink element will include a skip parameter that specifies a starting point to use for subsequent calls.
    - top (int) – May be used to limit the number of results to the most recent N usageDetails.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ConsumerGroup
    Return type: | ConsumerGroupPaged[ConsumerGroup]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2017_04_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2017_04_01/models/__init__.py'>

class `azure.mgmt.eventhub.v2017_04_01.operations.``RegionsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RegionsOperations operations.

  You should not instantiate directly this class, but create a Client instance that will create it for you and attach it as attribute.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API Version. Constant value: “2017-04-01”.

  `list_by_sku`(sku, custom_headers=None, raw=False, **operation_config)

    Gets the available Regions for a given sku.

    Parameters:

    - sku (str) – The sku type.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of MessagingRegions
    Return type: | MessagingRegionsPaged[MessagingRegions]
    Raises: | `ErrorResponseException`

  `models` = <module 'azure.mgmt.eventhub.v2017_04_01.models' from '/usr/lib/python3/dist-packages/azure/mgmt/eventhub/v2017_04_01/models/__init__.py'>